> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/form-filling/form-creation.md).

# Create & edit PDF forms in Xamarin

Learn how to create and edit form fields in Xamarin.Android using the Apryse Android SDK. Discover supported widget types like text fields, checkboxes, radio buttons, dropdowns, and signatures. Disabl

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android.**
{% endhint %}

Interactive creation and editing for form fields such as text fields, checkboxes, radio buttons, dropdowns, signatures, etc. is supported by the Apryse Android SDK.

By default, creating and editing form fields in the drop-in components [DocumentActivity](/xamarin/guides/android/basics/open.md#activity) and [PdfViewCtrlTabHostFragment2](/xamarin/guides/android/basics/open.md#fragment) are automatically enabled unless disabled using [`ToolManagerBuilder`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Config.ToolManagerBuilder.html). You can learn more about configuring ToolManager [here](/xamarin/annotation/config-annot-tools.md#android).

## Supported widget types

### Text widget

`TextFieldCreate` tool is responsible for making `TextWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-fca326c6d99a0e2658bf115e34d6e39570dfcf25%2Facba37ab612320b5b7adedeacf7fdc51ba1a6590-600x1200.gif?alt=media)

### Checkbox widget

`CheckboxFieldCreate` tool is responsible for making `CheckBoxWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-da690a220b0dbf3f811cfd9641b0a20d64f7b70f%2Fb5e0cfcfbd2234932998772c2190d2e367bebbd8-600x1200.gif?alt=media)

### Radio button widget

`RadioGroupFieldCreate` tool is responsible for making `RadioButtonWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-030329e98475af72b29eb78a29f038133d2c9002%2F6f81278445fc447307d80020dbb55b3ef83db940-600x1200.gif?alt=media)

### List box widget

`ListBoxFieldCreate` tool is responsible for making `ListBoxWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-ad92cf4580fb4d0915d26d3b4f990c8802900f83%2Ff922b1c1a7ba3ea4580a69ec5ef0df728d6b817b-600x1200.gif?alt=media)

### Combo box widget

`ComboBoxFieldCreate` tool is responsible for making `ComboBoxWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-8b697b34555240704356f98ba9f6e9f2c77d27cc%2Fe285f18411b5f767c0819c03d09d70ae4024402b-600x1200.gif?alt=media)

### Signature widget

`SignatureFieldCreate` tool is responsible for making `SignatureWidget`.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-962d75e6865737b3eb25452035c2ec9e40eaabb7%2Fe23cd7791d5ed84f1eb1286b3e71ae78d06af0b3-600x1200.gif?alt=media)

## Disable form field creation

You can disable form field creation using the `ToolManagerBuilder` class and disabling the relevant [`ToolMode`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.ToolMode.html):

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
// Create a custom ToolManager with disabled form field creation
ToolManager.ToolMode[] toolModes = {
    ToolMode.FormCheckboxCreate,
    ToolMode.FormSignatureCreate,
    ToolMode.FormTextFieldCreate,
    ToolMode.FormRadioGroupCreate,
    ToolMode.FormComboBoxCreate,
    ToolMode.FormListBoxCreate
};
var tmBuilder = ToolManagerBuilder.From()
    .DisableToolModes(toolModes);

// Add ToolManagerBuilder to your ViewerConfig
var config = new ViewerConfig.Builder()
    .FullscreenModeEnabled(true)
    .MultiTabEnabled(true)
    // ...
    .ToolManagerBuilder(tmBuilder)
    .Build();
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/form-filling/form-creation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
